#!/bin/bash

# Tools repository (this)
THIS="jprojects-scripts"

# Libraries and EJBs
LIBRARIES="jcore jcoreee \
	jcore-logger-lib jcore-logger-ejb \
	jcountry-core jcountry-lib \
	jphone-core jphone-lib \
	jcontacts-core jcontacts-lib \
	jcontacts-business-core jcontacts-business-lib \
	juser-core juser-lib \
	juser-login-core juser-login-lib \
	juser-activity-core juser-activity-lib \
	jletter-core jletter-lib \
	jaddressbook-core jaddressbook-lib \
	jaddressbook-share-core jaddressbook-share-lib \
	jmailer-ee \
	jcore-swing \
	jcustomer-core jcustomer-lib \
	jproduct-core jproduct-lib \
	jshop-core jshop-lib \
	jshop-receipt-core jshop-receipt-lib"

# Base application names (all)
BASE_APPLICATION_NAMES="addressbook jfinancials jjobs jtrainings pizzaservice"

# Applications and their special libs/EJBs
APPLICATIONS="pizzaservice-core pizzaservice-lib pizzaservice-mailer-ejb pizzaservice-mailer-lib pizzaservice-ejb pizzaservice-swing \
	jjobs-core jjobs-lib jjobs-mailer-ejb jjobs-mailer-lib jjobs-ejb jjobs-war jjobs \
	jfinancials-core jfinancials-lib jfinancials-mailer-ejb jfinancials-mailer-lib jfinancials-ejb jfinancials-war jfinancials
	addressbook-core addressbook-lib addressbook-mailer-ejb addressbook-mailer-lib addressbook-ejb addressbook-war addressbook addressbook-uml"

# Company-specific projects
COMPANY_APPS="jtrainings-core jtrainings-lib jtrainings-mailer-ejb jtrainings-mailer-lib jtrainings-ejb jtrainings-war jtrainings"

# Broken (needs fixing)
BROKEN="addressbook-swing jfinancials-swing jtrainings-swing pizzaservice-war pizzaservice"

# Compile list
ALL_PROJECTS="${THIS} ${LIBRARIES} ${APPLICATIONS} ${COMPANY_APPS} ${BROKEN}"

# Own home directory
declare -r JPROJECTS_HOME="${PWD}"

# ant binary
ANT_BIN=$(which ant 2>/dev/null)

# Check binary
if [ -z "${ANT_BIN}" ]
then
	echo "$0: Cannot find ANT binary."
	exit 1
fi

# Test on .git availability"
LIST=""
for project in ${ALL_PROJECTS}; do
	if [ ! -d "${project}" ]
	then
		echo "$0: Project '${project}' not created."
	elif [ ! -f "${project}/.git/config" ]
	then
		echo "$0: Project '${project}' is no GIT project."
		exit 1
	fi

	# Add it as available
	LIST="${LIST} ${project}"
done
